export XDG_CONFIG_HOME="$HOME/.config"
export XDG_CACHE_HOME="$HOME/.cache"
export XDG_DATA_HOME="$HOME/.local/share"

export ZSH_CACHE_DIR="$XDG_CACHE_HOME/zsh"
export ZSH="$ZSH_CACHE_DIR/ohmyzsh"
export ZSH_CUSTOM="$ZSH_CACHE_DIR/custom"
export ZSH_COMPDUMP="${ZSH_CACHE_DIR}/zcompdump-${HOST/.*/}-${ZSH_VERSION}"
plugins=()

if ps $PPID | grep mc; then
	export ZSH_IS_SUBSHELL=1
fi

# PATH
for P in \
	"$HOME/bin" \
	"$HOME/.local/bin"
do
	if [[ -d "${P}" ]]; then
		export PATH="${P}:${PATH}"
	fi
done

# Удалить дубликаты в PATH
typeset -U PATH

export GNUPGHOME="$XDG_CONFIG_HOME/gnupg"
export SVDIR="$HOME/sv"

# ASKPASS
if [ ! -z ${DISPLAY+x} ]; then
	if command -v /usr/lib/openssh/gnome-ssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/lib/openssh/gnome-ssh-askpass
	elif command -v /usr/bin/lxqt-openssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/bin/lxqt-openssh-askpass
	elif command -v /usr/bin/ssh-askpass 2>&1 >/dev/null; then
		export SSH_ASKPASS=/usr/bin/ssh-askpass
	fi
fi

# Настройка uncrustify
UNCRUSTIFY_CONFIG="${XDG_CONFIG_HOME}/uncrustify/default.cfg"
[ -e "${UNCRUSTIFY_CONFIG}" ] && export UNCRUSTIFY_CONFIG

# Настройка Intel Studio
if [ ! -z ${ENABLE_INTEL_STUDIO+x} ]; then
	#export COMPILERVARS_ARCHITECTURE=intel64
	#export COMPILERVARS_PLATFORM=linux
	#/opt/intel/bin/iccvars.sh
	INTEL_VARS=( /opt/intel/advisor/advixe-vars.sh
	             /opt/intel/inspector/inspxe-vars.sh
	             /opt/intel/vtune_profiler/vtune-vars.sh )

	for f in ${INTEL_VARS[*]}; do
		[ -e "$f" ] && source "$f" > /dev/null
	done
fi

