[ -e "$ZDOTDIR/12-functions.zsh" ] && source "$ZDOTDIR/12-functions.zsh"

if [ ! -e "$ZSH/oh-my-zsh.sh" ]; then
	git clone "https://github.com/ohmyzsh/ohmyzsh" "$ZSH"
fi

if [ ! -d "$ZSH_CUSTOM" ]; then
	mkdir -p "$ZSH_CUSTOM"
fi

add_custom_plugin "https://github.com/tautomer/update-ohmyzsh-custom-plugins.git" update-custom-plugins
add_custom_plugin "https://github.com/willghatch/zsh-saneopt" saneopt
add_custom_plugin "https://github.com/mafredri/zsh-async" async
add_custom_plugin "https://github.com/djui/alias-tips" alias-tips
add_custom_plugin "https://github.com/rupa/z" z

if [[ "$DISPLAY" != '' ]] && command -v xdotool > /dev/null 2>&1 &&  command -v wmctrl > /dev/null 2>&1; then
	add_custom_plugin "https://github.com/marzocchi/zsh-notify" notify
	zstyle ':notify:*' expire-time 5000
	zstyle ':notify:*' command-complete-timeout 20
	zstyle ':notify:*' enable-on-ssh yes
fi
if command -v peco > /dev/null 2>&1; then
	add_custom_plugin "https://github.com/jimeh/zsh-peco-history" zsh-peco-history
fi

plugins+=(autojump command-not-found common-aliases debian isodate nmap rsync systemadmin web-search)

if command -v fzf > /dev/null 2>&1; then
	export DISABLE_FZF_KEY_BINDINGS=true
	plugins+=(fzf)
	# fzf
	[ -e /usr/share/doc/fzf/examples/key-bindings.zsh ] && source /usr/share/doc/fzf/examples/key-bindings.zsh
	[ -e /usr/share/doc/fzf/examples/completion.zsh ]   && source /usr/share/doc/fzf/examples/completion.zsh
fi
if command -v git > /dev/null 2>&1; then
	GIT_AUTO_FETCH_INTERVAL=3600
	plugins+=(git git-auto-fetch git-extras github)
	add_custom_plugin "https://github.com/paulirish/git-open" git-open
fi
if command -v psql > /dev/null 2>&1; then
	plugins+=(postgres)
fi
if command -v sudo > /dev/null 2>&1; then
	plugins+=(sudo)
fi
if command -v systemctl > /dev/null 2>&1; then
	plugins+=(systemd)
fi
if command -v vim > /dev/null 2>&1; then
	plugins+=(vim-interaction)
fi
if command -v tmux > /dev/null 2>&1; then
	plugins+=(tmux)
	zstyle ':prezto:module:tmux:auto-start' local 'no'
	zstyle ':prezto:module:tmux:auto-start' remote 'yes'
	zstyle ':prezto:module:tmux:session' name "$(hostname)"
	add_custom_plugin "https://github.com/laggardkernel/zsh-tmux" zsh-tmux
fi
if command -v kitty > /dev/null 2>&1; then
	add_custom_plugin "https://github.com/redxtech/zsh-kitty" zsh-kitty
fi

